<nav class="panel">
    <p class="panel-heading">
        Test results for category {{ key }}
    </p>
    {{ #if (not (empty attacks)) }}
        {{ #each attacks }}
        <div class="panel-block is-block">
            <div class="columns">
                <div class="column is-two-thirds">
                    <b>{{{ this.name }}}</b>
                </div>
                <div class="column is-one-third">
                    <div class="is-size-3">
                        {{>grade grade=this.grade }}
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column is-two-thirds">
                    <p class="mb-3">
                    </p>
                    <p>
                        {{{ this.comment }}}
                    </p>
                </div>
                <div class="column is-one-third">
                    <b>Depends on :</b>
                    <ul>
                        {{ #each this.depends_on }}
                        <li>{{ this }}</li>
                        {{ /each }}
                    </ul>
                </div>
            </div>
        </div>
        {{ /each }}
    {{ else }}
        <div class="panel-block">
            No attacks were ran for this category. Either none are defined, or the context engine has not reached its
            threshold with this category's tests.
        </div>
    {{ /if }}
</nav>